summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_posix_s3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_posix_s3.sh')
-rwxr-xr-xsource3/script/tests/test_posix_s3.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/source3/script/tests/test_posix_s3.sh b/source3/script/tests/test_posix_s3.sh
index 904f9f1f09..69c71fd2d4 100755
--- a/source3/script/tests/test_posix_s3.sh
+++ b/source3/script/tests/test_posix_s3.sh
@@ -60,10 +60,7 @@ winbind="winbind.struct winbind.wbclient"
rap="rap.basic rap.rpc rap.printing rap.sam"
-# note: to enable the unix-whoami test, we need to change the default share
-# config to allow guest access. i'm not sure whether this would break other
-# tests, so leaving it alone for now -- jpeach
-unix="unix.info2"
+unix="unix.info2 unix.whoami"
tests="$base $raw $smb2 $rpc $unix $local $winbind $rap"
@@ -83,6 +80,9 @@ for t in $tests; do
name="$t"
if [ "$t" = "base.delaywrite" ]; then
testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS --maximum-runtime=900 $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+ elif [ "$t" = "unix.whoami" ]; then
+ #"Testing with guest-enabled share"
+ testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS "$unc"guest -U"$username"%"$password" $t || failed=`expr $failed + 1`
else
testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
fi
@@ -90,6 +90,10 @@ for t in $tests; do
echo "Testing with case sensitive"
testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS "$unc"case -U"$username"%"$password" $t || failed=`expr $failed + 1`
fi
+ if [ "$t" = "unix.whoami" ]; then
+ echo "Testing with guest-enabled share"
+ testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS "$unc"guest -U"$username"%"$password" $t || failed=`expr $failed + 1`
+ fi
done
testok $0 $failed